<?php

namespace App\Http\Controllers;

use App\Historique;
use App\Payment;
use App\schoolFee;
use App\schoolfeeTranche;
use App\Student;
use App\StudentParent;
use App\Typefee;
use Illuminate\Http\Request;

class SchoolFeeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //Get all schoolfees  and pass it to the view
        $schoolfees = schoolFee::all();

        return view('schoolfees.index')->with('schoolfees', $schoolfees);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $fee  = Typefee::findOrFail(2);

        $price = $fee->fee_amount;

        $tranches = schoolfeeTranche::all();
        
        return view('schoolfees.create', compact('price', 'tranches'));
    }

    public function findPrice(Request $request)
    {
        $data = schoolfeeTranche::select('tranche_amount')->where('id', $request->id)->first();
        //dd($data);
        return $data->tranche_amount;

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'student_id' => 'required',
        ]);

        $data = $request->all();
        $i = 0;
        $total = 0;
        $fee = new schoolFee();

        $fee->typefee_id = 2;
        $fee->typefee_title = "Frais d'écolage";
        $fee->amount_Topay = $request->input('amount_Topay');
        $fee->amount_paid = 0;
        $fee->left_pay = 0;
        $fee->date = $request->input('date');
        $fee->status = 0;
        $fee->student_id = $request->input('student_id');

        $student = Student::findOrFail($fee->student_id);
        $fee->student_name = $student->name;
        $fee->student_firstname = $student->firstname;
        $fee->student_email = $student->email;
        $fee->student_gender = $student->gender;
        $fee->student_phone = $student->phone_number;
        $fee->student_address = $student->address;
        $fee->student_userId = $student->user_id;
        $fee->grade_id = $student->grade_id;
        $fee->grade_title = $student->grade_title;
        $fee->classe_id = $student->classe_id;
        $fee->classe_code = $student->classe_code;
        $fee->classe_name = $student->classe_name;

        $parent = StudentParent::findOrFail($student->parent_id);
        $fee->parent_name = $parent->name;
        $fee->parent_firstname = $parent->firstname;
        $fee->parent_email = $parent->email;
        $fee->parent_phone = $parent->phone_number;
        $fee->parent_address = $parent->address;
        $fee->parent_userId = $parent->user_id;
        $fee->user_id = auth()->user()->id;
        $fee->save();

        foreach($data['tranche_id'] as $item){
            
            $payment = new Payment();
            $payment->tranche_id = $item;
            $payment->schoolfees_id = $fee->id;
            $tranche = schoolfeeTranche::findOrFail($item);
            $payment->tranche_title = $tranche->title;
            $payment->amount_Topaid = $data['tranche_Topay'][$i];
            $payment->amount_paid = $data['tranche_paid'][$i];
            
            $payment->date = $data['date'];

            $payment->student_id = $data['student_id'];

            $student = Student::findOrFail($payment->student_id);
            $payment->student_name = $student->name;
            $payment->student_firstname = $student->firstname;
            $payment->student_email = $student->email;
            $payment->student_gender = $student->gender;
            $payment->student_phone = $student->phone_number;
            $payment->student_address = $student->address;
            $payment->student_userId = $student->user_id;
            $payment->grade_id = $student->grade_id;
            $payment->grade_title = $student->grade_title;
            $payment->classe_id = $student->classe_id;
            $payment->classe_code = $student->classe_code;
            $payment->classe_name = $student->classe_name;

            $parent = StudentParent::findOrFail($student->parent_id);
            $payment->parent_name = $parent->name;
            $payment->parent_firstname = $parent->firstname;
            $payment->parent_email = $parent->email;
            $payment->parent_phone = $parent->phone_number;
            $payment->parent_address = $parent->address;
            $payment->parent_userId = $parent->user_id;
            
            if($payment->amount_Topaid == $payment->amount_paid ){
                $payment->status = 1;
                $payment->left_pay = 0;
            }else{
                $payment->status = 0;
                $payment->left_pay = ($payment->amount_Topaid - $payment->amount_paid);
            }
                
            $payment->user_id = auth()->user()->id;

            $payment->save();
            
            $total += $payment->amount_paid;
            $i++;
        }

        $fee_final = schoolFee::findOrFail($fee->id);
        $fee_final->amount_paid = $total;
        $fee_final->left_pay = ($fee->amount_Topay - $total);
        if($fee_final->left_pay == 0){
            $fee_final->status = 1;
        }else{
            $fee_final->status = 0;
        }

        $historique = new Historique();
        $historique->action = 'Create';
        $historique->table = 'SchoolFee/Payment';
        $historique->user_id = auth()->user()->id;

        $fee_final->save();
        $historique->save();

        //Redirect to the schoolfees.index view and display message
        return redirect()->route('schoolfees.index')
            ->with('success',
             'Nouveau paiement d\'écolage enregistré avec succès.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $schoolfee = schoolFee::findOrFail($id);

        return view('schoolfees.show', compact('schoolfee')); //pass $schoolfee data to view
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $schoolfee = schoolFee::findOrFail($id);

        $fee  = Typefee::findOrFail(1);

        $price = $fee->fee_amount;

        return view('schoolfees.edit', compact('schoolfee', 'price')); //pass $schoolfee data to view
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $schoolfee = schoolFee::findOrFail($id);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $schoolfee = schoolFee::findOrFail($id);

        $schoolfee->delete();

        return redirect()->route('schoolfees.index')
            ->with('success',
             'Paiement de drais d\'écolage supprimé avec succès.');
    }
}
