<?php

namespace App\Services;

use App\Course;

use App\Services\TimeService;

class CalendarService
{
    public function generateCalendarData($weekDays)
    {
        $calendarData = [];

        $timeRange = (new TimeService)->generateTimeRange(config('app.calendar.start_time'), config('app.calendar.end_time'));
        $courses   = Course::with('classe', 'professor')
            ->calendarByRoleOrClassId()
            ->get();

        foreach ($timeRange as $time)
        {
            $timeText = $time['start'] . ' - ' . $time['end'];

            $calendarData[$timeText] = [];

            foreach ($weekDays as $index => $day)
            {
                $course = $courses->where('weekday', $index)->where('start_time', $time['start'])->first();

                if ($course)
                {
                    array_push($calendarData[$timeText], [
                        'class_name'   => $course->classe->classe_name,
                        'professor_name' => $course->professor->name,
                        'rowspan'      => $course->difference/30 ?? ''
                    ]);
                }
                else if (!$courses->where('weekday', $index)->where('start_time', '<', $time['start'])->where('end_time', '>=', $time['end'])->count())
                {
                    array_push($calendarData[$timeText], 1);
                }
                else
                {
                    array_push($calendarData[$timeText], 0);
                }
            }
        }

        return $calendarData;
    }
}