<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateStudentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('students', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('matricule')->nullable();
            $table->string('name');
            $table->string('firstname')->nullable();
            $table->string('email')->nullable();
            $table->string('phone_number')->nullable();
            $table->mediumText('address')->nullable();
            $table->char('gender',1);
            $table->date('birth_date');
            $table->string('place_birth')->nullable();
            $table->integer('age')->nullable();
            $table->string('marital_status')->nullable();;
            $table->string('nationality')->nullable();
            $table->integer('grade_id')->nullable();
            $table->string('grade_title')->nullable();
            $table->integer('classe_id')->nullable();
            $table->string('classe_code')->nullable();
            $table->string('classe_name')->nullable();
            $table->string('profile_picture')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('parent_id')->nullable();
            $table->integer('parent_userId')->nullable();
            $table->integer('create_user_id')->nullable();
            $table->integer('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('students');
    }
}
