@extends('layouts.app')

@section('title', '| Nouvelle Matière')

@section('content')

<!-- Content Header (Page header) -->
<div class="breadcome-area">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="breadcome-list single-page-breadcome">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <div class="breadcome-heading">
                                <form role="search" class="sr-input-func">
                                    <input type="text" placeholder="Search..." class="search-int form-control">
                                    <a href="#"><i class="fa fa-search"></i></a>
                                </form>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <ul class="breadcome-menu">
                                <li><a href="#">Accueil</a> <span class="bread-slash">/</span>
                                </li>
                                <li><span class="bread-blod">Affectation Professeur</span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Main content -->

      <div class="sparkline12-list">
          <div class="sparkline12-hd">
              <div class="main-sparkline12-hd">
                  <h1><i class='fa fa-folder'></i> Affecter Professeur à une Matière</h1>
              </div>
          </div>
          <div class="sparkline12-graph">
              <div class="basic-login-form-ad">
                  <div class="row">
                      <div class="col-md-4 col-md-offset-4">
                        @include('inc.messages')
                          <div class="all-form-element-inner">
                        <!-- /.box-header -->
                        <!-- form start -->
                        {{-- Using the Laravel HTML Form Collective to create our form --}}
                        {{ Form::open(array('route' => 'courses.store', 'enctype' => 'multipart/form-data')) }}
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        {{ Form::label('subject_id', 'Matière') }}
                                        {{ Form::select('subject_id', $subjects, null, ['class' => 'form-control']) }}
                                    </div>
                                </div>

                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            {{ Form::label('classe_id', 'Classe') }}
                                            {{ Form::select('classe_id', $classes, null, ['class' => 'form-control']) }}
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            {{ Form::label('weekday', 'Coeficient Matière') }}
                                            {{ Form::select('weekday', ['1' => 'Lundi', '2' => 'Mardi', '3' => 'Mercredi', '4' => 'Jeudi', '5' => 'Vendredi', '6' => 'Samedi'], null, array('class' => 'form-control')) }}
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            {{ Form::label('start_time', 'Heure de début') }}
                                            {{ Form::time('start_time', null, array('class' => 'form-control')) }}
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            {{ Form::label('end_time', 'Heure de fin') }}
                                            {{ Form::time('end_time', null, ['class' => 'form-control']) }}
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            {{ Form::label('professor_id', 'Chargé du Cours') }}
                                            {{ Form::select('professor_id', $professors, null, ['class' => 'form-control']) }}
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            {{ Form::label('description', 'Description') }}
                                            {{ Form::textarea('description', null, array('class' => 'form-control')) }}
                                       
                                        </div>
                                    </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="payment-adress mg-t-15">
                                        {{ Form::submit('Ajouter Matière', array('class' => 'btn btn-custon-four btn-success btn-block')) }}
                                    </div>
                                </div>
                            </div>

                        {{ Form::close() }}

                         </div>
                        </div>
                      </div>
                  </div>
              </div>
            </div>


@endsection
