@extends('layouts.app')

@section('title', '| Editer Examen')

@section('content')
<!-- Content Header (Page header) -->
<div class="breadcome-area">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="breadcome-list single-page-breadcome">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <div class="breadcome-heading">
                                <form role="search" class="sr-input-func">
                                    <input type="text" placeholder="Search..." class="search-int form-control">
                                    <a href="#"><i class="fa fa-search"></i></a>
                                </form>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <ul class="breadcome-menu">
                                <li><a href="#"><i class="fa fa-dashboard"></i> Dashboard</a> <span class="bread-slash">/</span>
                                </li>
                                <li><span class="bread-blod"><i class='fa fa-user-plus'></i> Editer Examen</span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>

                
            </div>
        </div>
    </div>
</div>

<!-- Main content -->
<div class="col-md-8 col-md-offset-2">
    @include('inc.messages')
      <div class="sparkline12-list">
          <div class="sparkline12-hd">
              <div class="main-sparkline12-hd">
                  <h1><i class='fa fa-user-plus'></i> Editer Examen</h1>
              </div>
          </div>
          <div class="sparkline12-graph">
              <div class="basic-login-form-ad">
                  <div class="row">
                      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                          <div class="all-form-element-inner">

                            {{ Form::model($exam, array('route' => array('exams.update', $exam->id), 'method' => 'PUT' , 'enctype' => 'multipart/form-data')) }}
                            <div class="row">
                                <div class="col-lg-12">

                                    <div class="form-group">
                                        {{ Form::label('academicyear_id', 'Année-Academique') }}
                                        {{ Form::select('academicyear_id', $academicyears, null, ['class' => 'form-control']) }}
                                    </div>

                                    <div class="form-group">
                                        {{ Form::label('course_id', 'Matière') }}
                                        {{ Form::select('course_id', $courses,null, array('class' => 'form-control')) }}
                                    </div>

                                    <div class="form-group">
                                        {{ Form::label('typeexam_id', 'Type Examen') }}
                                        {{ Form::select('typeexam_id', $typeexams,null, array('class' => 'form-control')) }}
                                    </div>

                                    <div class="form-group">
                                        {{ Form::label('period', 'Période') }}
                                        {{ Form::select('period',['1er Trimestre' => '1er Trimestre', '2eme Trimestre' => '2eme Trimestre', '3eme Trimestre' => '3eme Trimestre'],null, array('class' => 'form-control')) }}
                                    </div>

                                    <div class="form-group">
                                        {{ Form::label('date_exam', 'Date Examen') }}
                                        {{ Form::date('date_exam', null, array('class' => 'form-control')) }}
                                    </div>

                                    <div class="form-group">
                                        {{ Form::label('notation', 'Noation') }}
                                        {{ Form::text('notation', null, array('class' => 'form-control')) }}
                                    </div>

                                    <div class="form-group">
                                        {{ Form::label('comment', 'Description') }}
                                        {{ Form::textarea('comment', null, array('class' => 'form-control')) }}
                                        <br>
                                    </div>
                            </div>

                            </div>

                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="payment-adress mg-t-15">
                                        {{ Form::submit('Editer Examen', array('class' => 'btn btn-custon-four btn-success btn-block')) }}
                                    </div>
                                </div>
                            </div>
                            {{ Form::close() }}

                        </div>
                </div>
              </div>
          </div>
      </div>
    </div>
</div>

@endsection
