@extends('layouts.app')

@section('title', '| Etats des inscriptions')

@section('content')

<div class="breadcome-area">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="breadcome-list single-page-breadcome">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <div class="breadcome-heading">
                                <form role="search" class="sr-input-func">
                                    <input type="text" placeholder="Recherche..." class="search-int form-control">
                                    <a href="#"><i class="fa fa-search"></i></a>
                                </form>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <ul class="breadcome-menu">
                                <li><a href="#">Accueil</a> <span class="bread-slash">/</span>
                                </li>
                                <li><span class="bread-blod">Etats des inscriptions</span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Main content -->
    <div class="data-table-area mg-b-15">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        @include('inc.messages')
                        <div class="sparkline13-list">
                            <div class="sparkline13-hd">

                                    <div class="main-sparkline13-hd">
                                        <h3 class="box-title">Etats des inscriptions</h3>
                                    </div>
                                </div>
                                <div class="sparkline13-graph">
                                    <div class="datatable-dashv1-list custom-datatable-overright">
                                        <div id="toolbar">
                                            <select class="form-control dt-tb">
                                                <option value="">Export Basic</option>
                                                <option value="all">Export All</option>
                                                <option value="selected">Export Selected</option>
                                            </select>
                                        </div>
                                        <table id="table" data-toggle="table" data-pagination="true" data-search="true" data-show-columns="true" data-show-pagination-switch="true" data-show-refresh="true" data-key-events="true" data-show-toggle="true" data-resizable="true" data-cookie="true"
                                            data-cookie-id-table="saveId" data-show-export="true" data-click-to-select="true" data-toolbar="#toolbar">
                                            <thead>
                                            <tr>
                                                    <th>Nom du parent</th>
                                                    <th>Nom de l'élève</th>
                                                    <th>Classe</th>
                                                    <th>Montant</th>
                                                    <th>Statut</th>
                                                    <th>Actions</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach ($inscriptionfees as $inscriptionfee)
                                                <tr>
                                                    <td>{{ $inscriptionfee->parent_name }} {{ $inscriptionfee->parent_firstname }}</td>
                                                    <td>{{ $inscriptionfee->student_name }} {{ $inscriptionfee->student_firstname }}</td>
                                                    <td>{{ $inscriptionfee->classe_code }}</td>
                                                    <td>{{ $inscriptionfee->amount_paid }}</td>
                                                    @if ($inscriptionfee->status == 1)
                                                    <td> Soldé</td> 
                                                    @else
                                                    <td>Non soldé</td>
                                                    @endif
                                                    <td>
                                                    <a href="{{ URL::to('inscriptionfees/'.$inscriptionfee->id.'/edit') }}" class="btn btn-info pull-left" style="margin-right: 3px;">Editer</a>

                                                    {!! Form::open(['method' => 'DELETE', 'route' => ['inscriptionfees.destroy', $inscriptionfee->id] ]) !!}
                                                    {!! Form::submit('Supprimer', ['class' => 'btn btn-danger']) !!}
                                                    {!! Form::close() !!}

                                                    </td>
                                                </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <br>
                                  <a href="{{ route('inscriptionfees.create') }}" class="btn btn-primary"><i class="fa fa-dollar"></i> Payer inscription</a>
                             </div>

                        </div>

                </div>
            </div>
        </div>
    <!-- /.content -->

@endsection
