@extends('layouts.app')

@section('title', '| Editer Professeur')

@section('content')
<!-- Content Header (Page header) -->

<div class="breadcome-area">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="breadcome-list single-page-breadcome">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <div class="breadcome-heading">
                                <form role="search" class="sr-input-func">
                                    <input type="text" placeholder="Search..." class="search-int form-control">
                                    <a href="#"><i class="fa fa-search"></i></a>
                                </form>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <ul class="breadcome-menu">
                                <li><a href="#"><i class="fa fa-dashboard"></i> Dashboard</a> <span class="bread-slash">/</span>
                                </li>
                                <li><span class="bread-blod"><i class='fa fa-user-plus'></i> Editer Professeur</span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Main content -->


<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
      <div class="sparkline12-list">
          <div class="sparkline12-hd">
              <div class="main-sparkline12-hd">
                  <h1><i class='fa fa-user-plus'></i> Editer {{$professor->name}}</h1>
              </div>
          </div>
          <div class="sparkline12-graph">
              <div class="basic-login-form-ad">
                  <div class="row">
                      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                          <div class="all-form-element-inner">


        {{ Form::model($professor, array('route' => array('professors.update', $professor->id) , 'method' => 'PUT', 'enctype' => 'multipart/form-data')) }}{{-- Form model binding to automatically populate our fields with user data --}}

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        {{ Form::label('name', 'Nom') }}
                        {{ Form::text('name', null, array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('email', 'Email') }}
                        {{ Form::email('email', null, array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('birth_date', 'Date de Naissance') }}
                        {{ Form::date('birth_date', null, array('class' => 'form-control')) }}
                      </div>

                      <div class="form-group">
                        {{ Form::label('gender', 'Genre') }}<br>
                        {{ Form::select('gender',['M' => 'Masculin', 'F' => 'Féminin'],null, array('class' => 'form-control')) }}
                      </div>

                      <div class="form-group">
                        {{ Form::label('hired_date', 'Date d\'embauche') }}
                        {{ Form::date('hired_date', null, array('class' => 'form-control')) }}
                      </div>

                    <div class="form-group">
                        {{ Form::label('address', 'Adresse') }}
                        {{ Form::text('address', null , array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('password', 'Password') }}<br>
                        {{ Form::password('password', array('class' => 'form-control')) }}
                    </div>
                    
                </div>

                <div class="col-md-6">

                    
                    <div class="form-group">
                        {{ Form::label('firstname', 'Firstname') }}
                        {{ Form::text('firstname', null , array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('phone_number', 'Numéro de Téléphone') }}
                        {{ Form::text('phone_number', null, array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                      {{ Form::label('place_birth', 'Lieu de Naissance') }}
                      {{ Form::text('place_birth', null, array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                      {{ Form::label('nationality', 'Nationalité') }}
                      {{ Form::text('nationality', null, array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                      {{ Form::label('marital_status', 'Situation matrimoniale') }}<br>
                      {{ Form::select('marital_status',['Célibataire' => 'Célibataire', 'Marié(e)' => 'Marié(e)'],null, array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('profession', 'Profession') }}
                        {{ Form::text('profession', null, array('class' => 'form-control')) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('password', 'Confirm Password') }}<br>
                        {{ Form::password('password_confirmation', array('class' => 'form-control')) }}
                    </div>



                </div>
            </div>

            <div class="form-group">
                {{ Form::label('profile_picture', 'Image de couverture') }}
                {{ Form::file('profile_picture') }}
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="payment-adress mg-t-15">
                        {{ Form::submit('Editer Professeur', array('class' => 'btn btn-custon-four btn-success btn-block')) }}
                    </div>
                </div>
            </div>


        

        {{ Form::close() }}

                 </div>
                </div>
              </div>
          </div>
      </div>
    </div>
</div>

@endsection
